import createCachedSelector from 're-reselect';
import { ROOT_REDUCER_KEY, PATHS, KEYS } from './constants';
var itemsPath = PATHS.ITEMS,
    skillsPath = PATHS.SKILLS,
    specializationsPath = PATHS.SPECIALIZATIONS,
    traitsPath = PATHS.TRAITS;
var dataKey = KEYS.DATA,
    errorKey = KEYS.ERROR,
    pendingKey = KEYS.PENDING;

var getData = function getData(_ref) {
  var data = _ref[dataKey];
  return data;
};

var getError = function getError(_ref2) {
  var error = _ref2[errorKey];
  return error;
};

var isLoading = function isLoading(_ref3) {
  var pending = _ref3[pendingKey];
  return pending > 0;
};

var idCacheKey = function idCacheKey(state, _ref4) {
  var id = _ref4.id;
  return id;
};

var getItem = function getItem(_ref5, _ref6) {
  var items = _ref5[ROOT_REDUCER_KEY][itemsPath];
  var id = _ref6.id;
  return items[id] || {};
};

var getSkill = function getSkill(_ref7, _ref8) {
  var skills = _ref7[ROOT_REDUCER_KEY][skillsPath];
  var id = _ref8.id;
  return skills[id] || {};
};

var getSpecialization = function getSpecialization(_ref9, _ref10) {
  var specializations = _ref9[ROOT_REDUCER_KEY][specializationsPath];
  var id = _ref10.id;
  return specializations[id] || {};
};

var getTrait = function getTrait(_ref11, _ref12) {
  var traits = _ref11[ROOT_REDUCER_KEY][traitsPath];
  var id = _ref12.id;
  return traits[id] || {};
};

export var getItemData = createCachedSelector(getItem, getData)(idCacheKey);
export var getItemError = createCachedSelector(getItem, getError)(idCacheKey);
export var isItemLoading = createCachedSelector(getItem, isLoading)(idCacheKey);
export var getSkillData = createCachedSelector(getSkill, getData)(idCacheKey);
export var getSkillError = createCachedSelector(getSkill, getError)(idCacheKey);
export var isSkillLoading = createCachedSelector(getSkill, isLoading)(idCacheKey);
export var getSpecializationData = createCachedSelector(getSpecialization, getData)(idCacheKey);
export var getSpecializationError = createCachedSelector(getSpecialization, getError)(idCacheKey);
export var isSpecializationLoading = createCachedSelector(getSpecialization, isLoading)(idCacheKey);
export var getTraitData = createCachedSelector(getTrait, getData)(idCacheKey);
export var getTraitError = createCachedSelector(getTrait, getError)(idCacheKey);
export var isTraitLoading = createCachedSelector(getTrait, isLoading)(idCacheKey);
//# sourceMappingURL=selectors.js.map