"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isTraitLoading = exports.getTraitError = exports.getTraitData = exports.isSpecializationLoading = exports.getSpecializationError = exports.getSpecializationData = exports.isSkillLoading = exports.getSkillError = exports.getSkillData = exports.isItemLoading = exports.getItemError = exports.getItemData = void 0;

var _reReselect = _interopRequireDefault(require("re-reselect"));

var _constants = require("./constants");

var itemsPath = _constants.PATHS.ITEMS,
    skillsPath = _constants.PATHS.SKILLS,
    specializationsPath = _constants.PATHS.SPECIALIZATIONS,
    traitsPath = _constants.PATHS.TRAITS;
var dataKey = _constants.KEYS.DATA,
    errorKey = _constants.KEYS.ERROR,
    pendingKey = _constants.KEYS.PENDING;

var getData = function getData(_ref) {
  var data = _ref[dataKey];
  return data;
};

var getError = function getError(_ref2) {
  var error = _ref2[errorKey];
  return error;
};

var isLoading = function isLoading(_ref3) {
  var pending = _ref3[pendingKey];
  return pending > 0;
};

var idCacheKey = function idCacheKey(state, _ref4) {
  var id = _ref4.id;
  return id;
};

var getItem = function getItem(_ref5, _ref6) {
  var items = _ref5[_constants.ROOT_REDUCER_KEY][itemsPath];
  var id = _ref6.id;
  return items[id] || {};
};

var getSkill = function getSkill(_ref7, _ref8) {
  var skills = _ref7[_constants.ROOT_REDUCER_KEY][skillsPath];
  var id = _ref8.id;
  return skills[id] || {};
};

var getSpecialization = function getSpecialization(_ref9, _ref10) {
  var specializations = _ref9[_constants.ROOT_REDUCER_KEY][specializationsPath];
  var id = _ref10.id;
  return specializations[id] || {};
};

var getTrait = function getTrait(_ref11, _ref12) {
  var traits = _ref11[_constants.ROOT_REDUCER_KEY][traitsPath];
  var id = _ref12.id;
  return traits[id] || {};
};

var getItemData = (0, _reReselect["default"])(getItem, getData)(idCacheKey);
exports.getItemData = getItemData;
var getItemError = (0, _reReselect["default"])(getItem, getError)(idCacheKey);
exports.getItemError = getItemError;
var isItemLoading = (0, _reReselect["default"])(getItem, isLoading)(idCacheKey);
exports.isItemLoading = isItemLoading;
var getSkillData = (0, _reReselect["default"])(getSkill, getData)(idCacheKey);
exports.getSkillData = getSkillData;
var getSkillError = (0, _reReselect["default"])(getSkill, getError)(idCacheKey);
exports.getSkillError = getSkillError;
var isSkillLoading = (0, _reReselect["default"])(getSkill, isLoading)(idCacheKey);
exports.isSkillLoading = isSkillLoading;
var getSpecializationData = (0, _reReselect["default"])(getSpecialization, getData)(idCacheKey);
exports.getSpecializationData = getSpecializationData;
var getSpecializationError = (0, _reReselect["default"])(getSpecialization, getError)(idCacheKey);
exports.getSpecializationError = getSpecializationError;
var isSpecializationLoading = (0, _reReselect["default"])(getSpecialization, isLoading)(idCacheKey);
exports.isSpecializationLoading = isSpecializationLoading;
var getTraitData = (0, _reReselect["default"])(getTrait, getData)(idCacheKey);
exports.getTraitData = getTraitData;
var getTraitError = (0, _reReselect["default"])(getTrait, getError)(idCacheKey);
exports.getTraitError = getTraitError;
var isTraitLoading = (0, _reReselect["default"])(getTrait, isLoading)(idCacheKey);
exports.isTraitLoading = isTraitLoading;
//# sourceMappingURL=selectors.js.map